Bug 208880 - FocusController::setFocusedElement() should tell client of refocused element
Summary: FocusController::setFocusedElement() should tell client of refocused element
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-03-10 13:19 PDT by Daniel Bates
Modified: 2020-03-12 09:19 PDT (History)
2 users (show)

See Also:


Attachments
Patch (4.71 KB, patch)
2020-03-10 14:04 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch (4.72 KB, patch)
2020-03-10 14:10 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2020-03-10 13:19:14 PDT
FocusController::setFocusedElement() should tell the client when an element that is already focused is being asked to become focused again. This allows a client to re-evaluate whether to provide UI assistance to an element (e.g. bring up the keyboard on iOS).
Comment 1 Daniel Bates 2020-03-10 14:04:00 PDT
Created attachment 393176 [details]
Patch
Comment 2 Daniel Bates 2020-03-10 14:10:01 PDT
Created attachment 393177 [details]
Patch
Comment 3 Daniel Bates 2020-03-10 14:12:12 PDT
<rdar://problem/58870777>
Comment 4 Wenson Hsieh 2020-03-11 18:36:59 PDT
Comment on attachment 393177 [details]
Patch

Seems reasonable to me. What effect (if any) does this have on Speedometer?
Comment 5 Daniel Bates 2020-03-12 09:18:02 PDT
(In reply to Wenson Hsieh from comment #4)
> Comment on attachment 393177 [details]
> Patch
> 
> Seems reasonable to me. What effect (if any) does this have on Speedometer?

It has no effect on Speedometer: the branch is never hit.
Comment 6 Daniel Bates 2020-03-12 09:18:10 PDT
Thanks for the review.
Comment 7 Daniel Bates 2020-03-12 09:19:24 PDT
Comment on attachment 393177 [details]
Patch

Clearing flags on attachment: 393177

Committed r258333: <https://trac.webkit.org/changeset/258333>
Comment 8 Daniel Bates 2020-03-12 09:19:26 PDT
All reviewed patches have been landed.  Closing bug.